import { openBlock as l, createElementBlock as n, createElementVNode as s, toDisplayString as c, renderSlot as r, ref as w, computed as b, normalizeClass as $, unref as _, createVNode as q, withCtx as y, resolveComponent as D, createBlock as g, inject as T, withDirectives as z, isRef as V, vModelDynamic as F, createCommentVNode as v, provide as M, Fragment as S, renderList as C, vModelSelect as j, vModelText as E, useSlots as R, watch as Z, normalizeStyle as G, createTextVNode as A, onMounted as N, withKeys as I, withModifiers as L, vModelCheckbox as H } from "vue";
const X = { class: "cf-action-card" }, J = { class: "cf-action-card__body" }, Q = { class: "cf-action-card__title" }, W = { class: "cf-action-card__body__slot" }, Y = { class: "cf-action-card__action" }, ul = {
  __name: "ActionCard",
  props: {
    title: String
  },
  setup(a) {
    const t = a;
    return (e, o) => (l(), n("div", X, [
      s("div", J, [
        s("div", Q, c(t.title), 1),
        s("div", W, [
          r(e.$slots, "body")
        ])
      ]),
      s("div", Y, [
        r(e.$slots, "action")
      ])
    ]));
  }
};
const K = (a, t) => {
  const e = a.__vccOpts || a;
  for (const [o, i] of t)
    e[o] = i;
  return e;
}, ee = {}, te = { class: "cf-app-bar" };
function le(a, t) {
  return l(), n("header", te, [
    s("div", null, [
      r(a.$slots, "left")
    ]),
    s("div", null, [
      r(a.$slots, "right")
    ])
  ]);
}
const se = /* @__PURE__ */ K(ee, [["render", le]]);
const oe = { class: "cf-dropdown-body" }, ae = {
  __name: "Dropdown",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-dropdown": !0,
      "cf-dropdown--open": t.value
    }));
    return (o, i) => (l(), n("div", {
      class: $(_(e))
    }, [
      s("div", {
        class: "cf-dropdown-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, [
        r(o.$slots, "toggle")
      ]),
      s("div", oe, [
        r(o.$slots, "body")
      ]),
      s("div", {
        class: "cf-dropdown-backdrop",
        onClick: i[1] || (i[1] = (d) => t.value = !1)
      })
    ], 2));
  }
};
const ne = {
  key: 0,
  class: "cf-app-bar-link"
}, de = { class: "cf-app-bar-link__label" }, ie = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.15 4.492H1.85l-.354.854 6.15 6.15h.707l6.15-6.15-.353-.854z" })
], -1), re = {
  key: 1,
  class: "cf-app-bar-link"
}, ue = { class: "cf-app-bar-link__label" }, cl = {
  __name: "AppBarLink",
  props: {
    dropdown: Boolean
  },
  setup(a) {
    return (t, e) => a.dropdown ? (l(), n("div", ne, [
      q(ae, null, {
        toggle: y(() => [
          s("div", de, [
            r(t.$slots, "default"),
            ie
          ])
        ]),
        body: y(() => [
          r(t.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : (l(), n("button", re, [
      s("div", ue, [
        r(t.$slots, "default")
      ])
    ]));
  }
};
const _l = {
  __name: "AppBody",
  props: {
    wide: {
      type: Boolean,
      default: !1
    }
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-app-body": !0,
      "cf-app-body--wide": t.wide
    }));
    return (o, i) => (l(), n("div", {
      class: $(_(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
};
const pl = {
  __name: "Banner",
  props: {
    type: String
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-banner": !0,
      [`cf-banner--${t.type}`]: t.type
    }));
    return (o, i) => (l(), n("div", {
      class: $(_(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
}, P = {
  to: {
    type: String,
    default: null
  },
  type: {
    type: String,
    default: "button"
  },
  large: {
    type: Boolean,
    default: !1
  },
  wide: {
    type: Boolean,
    default: !1
  },
  color: {
    type: String,
    default: null
  },
  loading: {
    type: Boolean,
    default: !1
  },
  disabled: {
    type: Boolean,
    default: !1
  }
};
const ce = ["type", "disabled"], fl = {
  __name: "FilledButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-filled-button": !0,
      [`cf-filled-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = D("router-link");
      return o.to ? (l(), g(d, {
        key: 0,
        class: $(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: y(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (l(), n("button", {
        key: 1,
        class: $(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, ce));
    };
  }
};
const _e = ["type", "disabled"], pe = {
  __name: "OutlinedButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-outlined-button": !0,
      [`cf-outlined-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = D("router-link");
      return o.to ? (l(), g(d, {
        key: 0,
        class: $(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: y(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (l(), n("button", {
        key: 1,
        class: $(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, _e));
    };
  }
};
const fe = ["disabled"], vl = {
  __name: "TextButton",
  props: {
    to: String,
    disabled: Boolean
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const i = D("router-link");
      return a.to ? (l(), g(i, {
        key: 0,
        class: "cf-text-button",
        to: a.to,
        inert: t.disabled
      }, {
        default: y(() => [
          r(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["to", "inert"])) : (l(), n("button", {
        key: 1,
        class: "cf-text-button",
        type: "button",
        disabled: t.disabled
      }, [
        r(e.$slots, "default")
      ], 8, fe));
    };
  }
};
const ve = { class: "cf-choice" }, be = ["type", "id", "name", "value", "true-value", "false-value", "required", "disabled"], me = ["for"], ye = { key: 0 }, he = {
  __name: "Choice",
  props: {
    modelValue: [Number, String, Boolean, Array],
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    type: String,
    label: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = Math.random(), i = {
      name: T("choice-list-name", null),
      required: T("choice-list-required", null)
    }, d = b({
      get() {
        return e.modelValue;
      },
      set(u) {
        t("update:modelValue", u);
      }
    });
    return (u, p) => (l(), n("div", ve, [
      z(s("input", {
        "onUpdate:modelValue": p[0] || (p[0] = (m) => V(d) ? d.value = m : null),
        type: e.type,
        id: _(o),
        name: i.name,
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        required: i.required,
        disabled: e.disabled
      }, null, 8, be), [
        [F, _(d)]
      ]),
      s("label", { for: _(o) }, c(e.label || e.value), 9, me),
      e.helper ? (l(), n("small", ye, c(e.helper), 1)) : v("", !0)
    ]));
  }
};
const ge = {
  key: 0,
  class: "cf-choice-list__label"
}, bl = {
  __name: "ChoiceList",
  props: {
    modelValue: [Number, String, Boolean, Array],
    label: String,
    choices: Array,
    multiple: Boolean,
    required: Boolean,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b(() => ({
      "cf-choice-list": !0,
      "cf-choice-list--disabled": e.disabled
    })), i = b({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return M("choice-list-name", Math.random()), M("choice-list-required", e.required), (d, u) => (l(), n("div", {
      class: $(_(o))
    }, [
      e.label ? (l(), n("div", ge, c(e.label), 1)) : v("", !0),
      (l(!0), n(S, null, C(a.choices, (p) => (l(), g(he, {
        key: p.value || p,
        type: e.multiple ? "checkbox" : "radio",
        label: p.label || p.value || p,
        helper: p.helper,
        value: p.value || p,
        disabled: e.disabled,
        modelValue: _(i),
        "onUpdate:modelValue": u[0] || (u[0] = (m) => V(i) ? i.value = m : null)
      }, null, 8, ["type", "label", "helper", "value", "disabled", "modelValue"]))), 128))
    ], 2));
  }
};
const $e = { class: "cf-field" }, ke = ["required", "disabled"], xe = {
  key: 0,
  value: null
}, we = ["value"], Se = ["required", "disabled"], Be = ["type", "placeholder", "list", "required", "disabled"], Ve = {
  key: 3,
  class: "cf-field__prefix"
}, Ce = {
  key: 4,
  class: "cf-field__suffix"
}, De = { key: 5 }, ze = { key: 6 }, Le = /* @__PURE__ */ s("div", { class: "cf-field__outline" }, null, -1), U = {
  __name: "Field",
  props: {
    modelValue: [Number, String],
    type: String,
    label: String,
    placeholder: String,
    prefix: String,
    suffix: String,
    options: Array,
    list: String,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (l(), n("div", $e, [
      e.type === "select" ? z((l(), n("select", {
        key: 0,
        class: "cf-field__input",
        "onUpdate:modelValue": d[0] || (d[0] = (u) => V(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, [
        !e.required && e.options.length ? (l(), n("option", xe)) : v("", !0),
        (l(!0), n(S, null, C(e.options, (u) => (l(), n("option", {
          key: u.value || u,
          value: u.value || u
        }, c(u.label || u), 9, we))), 128))
      ], 8, ke)), [
        [j, _(o)]
      ]) : e.type === "textarea" ? z((l(), n("textarea", {
        key: 1,
        class: "cf-field__input",
        "onUpdate:modelValue": d[1] || (d[1] = (u) => V(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, null, 8, Se)), [
        [E, _(o)]
      ]) : z((l(), n("input", {
        key: 2,
        class: "cf-field__input",
        "onUpdate:modelValue": d[2] || (d[2] = (u) => V(o) ? o.value = u : null),
        type: e.type,
        placeholder: e.placeholder,
        list: e.list,
        required: e.required,
        disabled: e.disabled
      }, null, 8, Be)), [
        [F, _(o)]
      ]),
      e.prefix && !["select", "textarea"].includes(e.type) ? (l(), n("div", Ve, c(e.prefix), 1)) : v("", !0),
      e.suffix && !["select", "textarea"].includes(e.type) ? (l(), n("div", Ce, c(e.suffix), 1)) : v("", !0),
      e.label ? (l(), n("label", De, c(e.label), 1)) : v("", !0),
      e.helper ? (l(), n("small", ze, c(e.helper), 1)) : v("", !0),
      Le
    ]));
  }
};
const qe = { class: "cf-data-table-item" }, Ae = {
  key: 0,
  class: "cf-data-table-item__drawer"
}, Te = { class: "cf-data-table-item__content" }, Me = ["data-label"], Fe = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), Ne = [
  Fe
], Ie = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), Ke = {
  __name: "DataTableItem",
  props: {
    data: Object,
    expandable: Boolean
  },
  setup(a) {
    const t = a, e = T("columns", []), o = w(!1);
    return (i, d) => {
      const u = D("router-link");
      return l(), n("div", qe, [
        o.value ? (l(), n("div", Ae, [
          r(i.$slots, "default", {
            item: t.data
          })
        ])) : v("", !0),
        s("div", Te, [
          (l(!0), n(S, null, C(_(e), (p) => (l(), n("div", {
            key: p.key,
            "data-label": p.label
          }, c(a.data[p.key]), 9, Me))), 128))
        ]),
        t.expandable ? (l(), n("button", {
          key: 1,
          class: "cf-data-table-item__toggle",
          onClick: d[0] || (d[0] = (p) => o.value = !o.value)
        }, Ne)) : v("", !0),
        t.data.to ? (l(), g(u, {
          key: 2,
          class: "cf-data-table-item__toggle",
          to: t.data.to
        }, {
          default: y(() => [
            Ie
          ]),
          _: 1
        }, 8, ["to"])) : v("", !0),
        t.expandable && o.value ? (l(), n("div", {
          key: 3,
          class: "cf-data-table-item__backdrop",
          onClick: d[1] || (d[1] = (p) => o.value = !1)
        })) : v("", !0)
      ]);
    };
  }
};
const Pe = { class: "cf-data-table" }, Ue = { class: "cf-data-table__header" }, Oe = { class: "cf-data-table__header__content" }, je = {
  key: 0,
  class: "cf-data-table__title"
}, Ee = {
  key: 1,
  class: "cf-data-table__description"
}, Re = {
  key: 2,
  class: "cf-data-table__search"
}, Ze = {
  key: 3,
  class: "cf-data-table__actions"
}, Ge = {
  key: 0,
  class: "cf-data-table__header__slot"
}, He = { class: "cf-data-table__body__header" }, Xe = { class: "cf-data-table__body__items" }, Je = {
  key: 0,
  class: "cf-data-table__footer"
}, Qe = { class: "cf-data-table__footer__pagination" }, We = ["disabled"], Ye = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M11.022 14.503L4.518 8l6.504-6.504.707.707L5.932 8l5.797 5.796-.707.707z" })
], -1), et = [
  Ye
], tt = ["disabled"], lt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M4.99 14.503l-.707-.707L10.08 8 4.283 2.203l.707-.707L11.494 8 4.99 14.503z" })
], -1), st = [
  lt
], ot = { key: 0 }, ml = {
  __name: "DataTable",
  props: {
    title: String,
    description: String,
    expandable: Boolean,
    paginate: {
      type: Boolean,
      default: !0
    },
    searchKey: String,
    pluralTerm: {
      type: String,
      default: "items"
    },
    itemKey: String,
    pageSize: {
      type: [Number, String],
      default: 10
    },
    columns: {
      type: Array,
      default: []
    },
    data: {
      type: Array,
      default: []
    }
  },
  setup(a) {
    const t = a, e = R(), o = w(""), i = b(() => t.data.filter((f) => {
      if (o.value) {
        const B = f[t.searchKey].replaceAll(" ", "").toLowerCase(), k = o.value.replaceAll(" ", "").toLowerCase();
        return B.includes(k);
      } else
        return !0;
    })), d = w(1), u = b(() => Math.ceil(i.value.length / parseInt(t.pageSize))), p = b(() => {
      const f = d.value < u.value ? d.value * t.pageSize : i.value.length;
      return {
        start: (d.value - 1) * t.pageSize + 1,
        end: f
      };
    }), m = b(() => t.paginate ? i.value.slice(
      (d.value - 1) * parseInt(t.pageSize),
      d.value * parseInt(t.pageSize)
    ) : i.value), x = () => {
      d.value < u.value && d.value++;
    }, h = () => {
      d.value > 1 && d.value--;
    };
    return Z(o, () => {
      d.value > 1 && (d.value = 1);
    }), M("columns", t.columns), (f, B) => (l(), n("div", Pe, [
      s("div", Ue, [
        s("div", Oe, [
          t.title ? (l(), n("div", je, c(t.title), 1)) : v("", !0),
          t.description ? (l(), n("div", Ee, c(t.description), 1)) : v("", !0),
          t.searchKey ? (l(), n("div", Re, [
            q(U, {
              modelValue: o.value,
              "onUpdate:modelValue": B[0] || (B[0] = (k) => o.value = k),
              type: "text",
              label: "Search"
            }, null, 8, ["modelValue"])
          ])) : v("", !0),
          _(e).actions ? (l(), n("div", Ze, [
            r(f.$slots, "actions")
          ])) : v("", !0)
        ]),
        _(e).header ? (l(), n("div", Ge, [
          r(f.$slots, "header")
        ])) : v("", !0)
      ]),
      s("div", {
        class: "cf-data-table__body",
        style: G(`--columns: ${t.columns.length}`)
      }, [
        s("div", He, [
          (l(!0), n(S, null, C(t.columns, (k) => (l(), n("div", {
            key: k.key
          }, c(k.label), 1))), 128))
        ]),
        s("div", Xe, [
          (l(!0), n(S, null, C(_(m), (k) => (l(), g(Ke, {
            key: k._id || k[t.itemKey],
            data: k,
            expandable: t.expandable
          }, {
            default: y((O) => [
              r(f.$slots, "item-drawer", {
                item: O.item
              })
            ]),
            _: 2
          }, 1032, ["data", "expandable"]))), 128))
        ])
      ], 4),
      t.paginate ? (l(), n("div", Je, [
        s("div", Qe, [
          s("button", {
            disabled: d.value <= 1,
            onClick: h
          }, et, 8, We),
          s("button", {
            disabled: d.value >= _(u),
            onClick: x
          }, st, 8, tt),
          _(i).length ? (l(), n("div", ot, [
            s("b", null, c(`${_(p).start} to ${_(p).end}`), 1),
            A(" of "),
            s("b", null, c(_(i).length), 1)
          ])) : v("", !0)
        ])
      ])) : v("", !0)
    ]));
  }
};
const at = { class: "cf-sidebar-nav" }, nt = /* @__PURE__ */ s("hr", null, null, -1), dt = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), it = /* @__PURE__ */ s("span", null, "Collapse sidebar", -1), rt = [
  dt,
  it
], ut = {
  __name: "Sidebar",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-sidebar": !0,
      "cf-sidebar--toggled": t.value
    }));
    return (o, i) => (l(), n("aside", {
      class: $(_(e))
    }, [
      s("nav", at, [
        r(o.$slots, "default"),
        nt
      ]),
      s("button", {
        class: "cf-sidebar-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, rt)
    ], 2));
  }
};
const yl = {
  __name: "DefaultLayout",
  setup(a) {
    return N(() => {
      document.body.dataset.layout = "default";
    }), (t, e) => (l(), n(S, null, [
      q(se, null, {
        left: y(() => [
          r(t.$slots, "brand")
        ]),
        right: y(() => [
          r(t.$slots, "navigation")
        ]),
        _: 3
      }),
      q(ut, null, {
        default: y(() => [
          r(t.$slots, "sidebar")
        ]),
        _: 3
      }),
      s("main", null, [
        r(t.$slots, "main")
      ])
    ], 64));
  }
};
const ct = { class: "cf-dialog-header" }, _t = { class: "cf-dialog__title" }, pt = { key: 0 }, ft = { class: "cf-dialog-body" }, vt = { class: "cf-dialog-footer" }, bt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), mt = [
  bt
], hl = {
  __name: "Dialog",
  props: {
    title: String,
    description: String
  },
  emits: ["close"],
  setup(a, { emit: t }) {
    const e = a, o = w(null);
    return N(() => o.value.showModal()), (i, d) => (l(), n("dialog", {
      class: "cf-dialog",
      ref_key: "dialog",
      ref: o,
      onKeyup: d[1] || (d[1] = I((u) => t("close"), ["delete"]))
    }, [
      s("div", ct, [
        s("div", _t, c(e.title), 1),
        e.description ? (l(), n("div", pt, c(e.description), 1)) : v("", !0)
      ]),
      s("div", ft, [
        r(i.$slots, "body")
      ]),
      s("div", vt, [
        r(i.$slots, "footer")
      ]),
      s("button", {
        class: "cf-dialog-close",
        onClick: d[0] || (d[0] = (u) => t("close"))
      }, mt)
    ], 544));
  }
};
const yt = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, ht = { class: "material-symbols-outlined" }, gt = { class: "cf-dropdown-item__label" }, $t = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, kt = { class: "material-symbols-outlined" }, xt = { class: "cf-dropdown-item__label" }, gl = {
  __name: "DropdownItem",
  props: {
    icon: String,
    to: String,
    large: Boolean
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-dropdown-item": !0,
      "cf-dropdown-item--large": t.large
    }));
    return (o, i) => {
      const d = D("router-link");
      return a.to ? (l(), g(d, {
        key: 1,
        class: $(_(e)),
        to: a.to
      }, {
        default: y(() => [
          a.icon ? (l(), n("div", $t, [
            s("span", kt, c(a.icon), 1)
          ])) : v("", !0),
          s("div", xt, [
            r(o.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["class", "to"])) : (l(), n("button", {
        key: 0,
        class: $(_(e))
      }, [
        a.icon ? (l(), n("div", yt, [
          s("span", ht, c(a.icon), 1)
        ])) : v("", !0),
        s("div", gt, [
          r(o.$slots, "default")
        ])
      ], 2));
    };
  }
};
const wt = { class: "cf-drop-zone" }, St = ["onDrop"], Bt = { class: "cf-drop-zone-box__label" }, Vt = { class: "cf-drop-zone-box__action" }, Ct = /* @__PURE__ */ s("span", null, "select from device", -1), Dt = ["required"], zt = {
  key: 0,
  class: "cf-drop-zone-box__helper"
}, Lt = {
  key: 1,
  class: "cf-drop-zone-list"
}, qt = /* @__PURE__ */ s("div", { class: "cf-drop-zone-list__header" }, null, -1), At = { class: "cf-drop-zone-list__item" }, Tt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "12",
  height: "12"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), Mt = [
  Tt
], $l = {
  __name: "DropZone",
  props: {
    modelValue: File,
    label: {
      type: String,
      default: "Add your file here."
    },
    max: {
      type: [Number, String],
      default: 0
    },
    accept: String,
    required: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["update:modelValue", "add", "cancel"],
  setup(a, { emit: t }) {
    const e = a, o = w(null), i = b(() => !!(e.required && !e.modelValue)), d = b(() => {
      if (e.modelValue) {
        const f = (e.modelValue.size / 1048576).toFixed(0), B = (f / 1e3).toFixed(1);
        return f < 100 ? `${f} MB` : `${B} GB`;
      } else
        return "0 MB";
    }), u = (h) => {
      const f = h.target.files[0];
      m(f);
    }, p = (h) => {
      const f = h.dataTransfer.files[0];
      m(f);
    }, m = (h) => {
      const f = parseInt(e.max) * 1048576;
      f && f < h.size ? (o.value.value = "", alert(`File cannot exceed ${e.max} MB`)) : (t("update:modelValue", h), t("add", h));
    }, x = () => {
      t("update:modelValue", null), t("cancel");
    };
    return (h, f) => (l(), n("div", wt, [
      a.modelValue ? (l(), n("div", Lt, [
        qt,
        s("div", At, [
          s("div", null, c(e.modelValue.name), 1),
          s("div", null, c(_(d)), 1),
          s("button", { onClick: x }, Mt)
        ])
      ])) : (l(), n("div", {
        key: 0,
        class: "cf-drop-zone-box",
        onDrop: L(p, ["prevent"]),
        onDragenter: f[0] || (f[0] = L(() => {
        }, ["prevent"])),
        onDragover: f[1] || (f[1] = L(() => {
        }, ["prevent"])),
        onDragleave: f[2] || (f[2] = L(() => {
        }, ["prevent"]))
      }, [
        s("div", Bt, c(e.label), 1),
        s("label", Vt, [
          A(" Drag and drop or "),
          Ct,
          s("input", {
            type: "file",
            ref_key: "input",
            ref: o,
            required: _(i),
            onChange: u
          }, null, 40, Dt)
        ]),
        e.max ? (l(), n("div", zt, " Files larger than " + c(e.max) + " MB cannot be uploaded ", 1)) : v("", !0)
      ], 40, St))
    ]));
  }
};
const Ft = ["value", "max"], kl = {
  __name: "Progress",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    max: {
      type: [Number, String],
      default: 100
    }
  },
  setup(a) {
    const t = a;
    return (e, o) => (l(), n("progress", {
      class: "cf-progress",
      value: t.value,
      max: t.max
    }, c(a.value) + "% ", 9, Ft));
  }
};
const Nt = { class: "cf-sidebar-link__icon" }, It = { class: "material-symbols-outlined" }, Kt = { class: "cf-sidebar-link__label" }, Pt = ["href"], Ut = { class: "cf-sidebar-link__icon" }, Ot = { class: "material-symbols-outlined" }, jt = { class: "cf-sidebar-link__label" }, xl = {
  __name: "SidebarLink",
  props: {
    to: String,
    href: String,
    icon: String
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const i = D("router-link");
      return a.to ? (l(), g(i, {
        key: 0,
        class: "cf-sidebar-link",
        to: t.to
      }, {
        default: y(() => [
          s("div", Nt, [
            s("span", It, c(a.icon), 1)
          ]),
          s("div", Kt, [
            r(e.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["to"])) : (l(), n("a", {
        key: 1,
        class: "cf-sidebar-link",
        href: a.href
      }, [
        s("div", Ut, [
          s("span", Ot, c(a.icon), 1)
        ]),
        s("div", jt, [
          r(e.$slots, "default")
        ])
      ], 8, Pt));
    };
  }
};
const Et = {}, Rt = { class: "cf-spinner" }, Zt = /* @__PURE__ */ s("div", null, null, -1), Gt = /* @__PURE__ */ s("div", null, null, -1), Ht = /* @__PURE__ */ s("div", null, null, -1), Xt = /* @__PURE__ */ s("div", null, null, -1), Jt = [
  Zt,
  Gt,
  Ht,
  Xt
];
function Qt(a, t) {
  return l(), n("div", Rt, Jt);
}
const wl = /* @__PURE__ */ K(Et, [["render", Qt]]);
const Wt = { class: "cf-switch" }, Yt = ["value", "true-value", "false-value", "disabled"], el = {
  key: 0,
  class: "cf-switch__label"
}, Sl = {
  __name: "Switch",
  props: {
    modelValue: [Number, String, Boolean],
    label: String,
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (l(), n("div", Wt, [
      z(s("input", {
        class: "cf-switch__box",
        "onUpdate:modelValue": d[0] || (d[0] = (u) => V(o) ? o.value = u : null),
        type: "checkbox",
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        disabled: e.disabled
      }, null, 8, Yt), [
        [H, _(o)]
      ]),
      e.label ? (l(), n("div", el, c(e.label), 1)) : v("", !0)
    ]));
  }
};
const tl = { class: "tag" }, ll = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), sl = [
  ll
], ol = {
  __name: "Tag",
  props: {
    removable: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["remove"],
  setup(a, { emit: t }) {
    const e = a;
    return (o, i) => (l(), n("div", tl, [
      s("span", null, [
        r(o.$slots, "default")
      ]),
      e.removable ? (l(), n("button", {
        key: 0,
        onClick: i[0] || (i[0] = (d) => t("remove"))
      }, sl)) : v("", !0)
    ]));
  }
};
const al = { class: "tags-field" }, nl = { key: 0 }, dl = { class: "tags-field__tags" }, il = { key: 3 }, Bl = {
  __name: "TagsField",
  props: {
    modelValue: Array,
    label: String,
    buttonText: {
      type: String,
      default: "Add"
    },
    prefix: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = w(!1), i = w(""), d = () => {
      const p = e.modelValue;
      p.push(i.value), t("update:modelValue", p), i.value = "", o.value = !1;
    }, u = (p) => {
      const m = e.modelValue;
      m.splice(p, 1), t("update:modelValue", m);
    };
    return (p, m) => (l(), n("div", al, [
      e.label ? (l(), n("label", nl, c(e.label), 1)) : v("", !0),
      o.value ? (l(), g(U, {
        key: 2,
        modelValue: i.value,
        "onUpdate:modelValue": m[1] || (m[1] = (x) => i.value = x),
        type: "text",
        prefix: e.prefix,
        onKeydown: I(d, ["enter"])
      }, null, 8, ["modelValue", "prefix", "onKeydown"])) : (l(), g(_(pe), {
        key: 1,
        color: "blue",
        disabled: e.disabled,
        onClick: m[0] || (m[0] = (x) => o.value = !0)
      }, {
        default: y(() => [
          A(c(e.buttonText), 1)
        ]),
        _: 1
      }, 8, ["disabled"])),
      s("div", dl, [
        (l(!0), n(S, null, C(e.modelValue, (x, h) => (l(), g(ol, {
          key: x,
          removable: !e.disabled,
          onRemove: (f) => u(h)
        }, {
          default: y(() => [
            A(c(e.prefix) + " " + c(x), 1)
          ]),
          _: 2
        }, 1032, ["removable", "onRemove"]))), 128))
      ]),
      e.helper ? (l(), n("small", il, c(e.helper), 1)) : v("", !0)
    ]));
  }
};
export {
  ul as CfActionCard,
  se as CfAppBar,
  cl as CfAppBarLink,
  _l as CfAppBody,
  pl as CfBanner,
  he as CfChoice,
  bl as CfChoiceList,
  ml as CfDataTable,
  yl as CfDefaultLayout,
  hl as CfDialog,
  $l as CfDropZone,
  ae as CfDropdown,
  gl as CfDropdownItem,
  U as CfField,
  fl as CfFilledButton,
  pe as CfOutlinedButton,
  kl as CfProgress,
  ut as CfSidebar,
  xl as CfSidebarLink,
  wl as CfSpinner,
  Sl as CfSwitch,
  ol as CfTag,
  Bl as CfTagsField,
  vl as CfTextButton
};
